aboutsummaryrefslogtreecommitdiffstats
path: root/community
Commit message (Collapse)AuthorAgeFilesLines
* community/runc: fix secfixes comment.Natanael Copa2019-07-041-1/+1
| | | | | | The CVE-2019-5736 was fixed with commit 787ef3518b96 (community/runc: upgrade for CVE-2019-5736), which was our version 1.0.0_rc6-r1. The secfixes comment should reflect that.
* community/patchwork: security fix for CVE-2019-13122Francesco Colista2019-07-042-4/+100
|
* community/docker: security upgrade to 18.09.7 (CVE-2018-15664)Natanael Copa2019-07-021-6/+10
|
* community/containerd: update to 1.2.7Jake Buchholz2019-07-021-3/+7
| | | | Release notes at https://github.com/containerd/containerd/releases/tag/v1.2.7
* community/runc: update to 1.0.0-rc8Jake Buchholz2019-07-021-19/+14
| | | | Release notes at https://github.com/opencontainers/runc/releases/tag/v1.0.0-rc8
* community/pdns: security upgrade to 4.1.10prspkt2019-06-251-2/+5
| | | | | - CVE-2019-10163 - CVE-2019-10162
* community/virtualbox-guest-modules-vanilla: rebuild against kernel 4.19.52-r0Natanael Copa2019-06-181-1/+1
|
* community/jenkins: security upgrade to 2.164.2 (CVE-2019-1003050)Francesco Colista2019-06-171-0/+1
| | | | The last commit was missing the CVE that this security upgrade fixes too
* community/jenkins: security upgrade to 2.164.2 (CVE-2019-1003049)Francesco Colista2019-06-171-2/+6
| | | | Fixes #10330
* community/php7: security upgrade to 7.2.19 (CVE-2019-11039 CVE-2019-11040)Andy Postnikov2019-06-141-2/+5
|
* community/zabbix: upgrade to 4.0.9Leonardo Arena2019-06-111-2/+2
|
* community/exim: fix broken link with upgrade to 4.92Mike Sullivan2019-06-102-10/+12
| | | | | | fixes #10541 (CVE-2019-10149) (cherry picked from commit a6e92b2adbed5e2905258a37f8b1980700612929)
* community/drupal7: security upgrade to 7.67 (CVE-2019-11831)Natanael Copa2019-06-051-2/+4
| | | | fixes #10515
* community/wireshark: security upgrade to 2.6.9 (CVE-2019-12295)Natanael Copa2019-06-041-2/+4
| | | | fixes #10502
* community/youtube-dl: upgrade to 2019.05.20Natanael Copa2019-05-291-2/+2
| | | | fixes #10505
* community/shadow: fix broken chpasswdAntoine Mazeas2019-05-272-1/+9
| | | | | | | | | It was found in bug #10209 (https://bugs.alpinelinux.org/issues/10209) that the chpasswd command was broken due to a lack of a pam configuration file. This is a backport of PR#6980 by @bratkartoffel, targetting the 3.9 branch.
* community/nextcloud: upgrade to 15.0.8Leonardo Arena2019-05-161-2/+2
|
* community/virtualbox-guest-modules-vanilla: rebuild against kernel 4.19.41-r0Natanael Copa2019-05-081-1/+1
|
* community/znc: security fix for CVE-2019-9917Natanael Copa2019-05-062-1/+127
| | | | fixes #10383
* community/virtualbox-guest-modules-vanilla: rebuild against kernel 4.19.40-r0Natanael Copa2019-05-061-1/+1
|
* community/flatpak: security upgrade to 1.0.8prspkt2019-05-061-2/+4
| | | | - CVE-2019-10063
* community/shadow: fix conflict with util-linux-doc and coreutils-docNatanael Copa2019-05-061-2/+6
| | | | fixes #8665
* community/imagemagick6: security upgrade to 6.9.10-44J0WI2019-05-061-2/+6
|
* community/openjdk8: security upgrade to 8.212.04J0WI2019-05-041-12/+16
|
* community/php7: security upgrade to 7.2.18 (CVE-2019-11036)Andy Postnikov2019-05-041-2/+6
|
* community/lua-resty-openidc: backport from edgeTimo Teräs2019-05-031-0/+21
|
* community/lua-resty-jwt: backport from edgeTimo Teräs2019-05-031-0/+21
|
* community/lua-resty-session: backport from edgeTimo Teräs2019-05-031-0/+21
|
* community/lua-resty-hmac: backport from edgeTimo Teräs2019-05-031-0/+30
|
* community/lua-resty-string: backport from edgeTimo Teräs2019-05-031-0/+28
|
* community/perl-test-nginx: backport from edgeTimo Teräs2019-05-032-0/+78
|
* community/lua-resty-http: upgrade to 0.13Franck Nijhof2019-05-031-3/+3
| | | | (cherry picked from commit 9379df6ef4c76e518ee954f5f9fcbb180409619d)
* community/wireshark: security upgrade to 2.6.8Leonardo Arena2019-04-291-2/+9
| | | | | | CVE-2019-10894, CVE-2019-10895, CVE-2019-10896, CVE-2019-10899, CVE-2019-10901, CVE-2019-10903 Fixes #10322
* community/zabbix: upgrade to 4.0.7Leonardo Arena2019-04-251-2/+2
|
* community/pdns-recursor: after entropyHenrik Riomar2019-04-222-3/+3
| | | | (cherry picked from commit 1947f2bd7d4c6ccda012321640dfb6041ddfe5f1)
* community/freerdp: security upgrade to 2.0.0_rc4Leonardo Arena2019-04-171-3/+10
| | | | | | CVE-2018-8786, CVE-2018-8787, CVE-2018-8788, CVE-2018-8789 Fixes #10056
* community/php7: security upgrade to 7.2.17Leonardo Arena2019-04-151-2/+16
| | | | | | | | CVE-2019-9641 CVE-2019-9640 CVE-2019-9639 CVE-2019-9638 CVE-2019-9637
* community/webkit2gtk: security upgrade to 2.22.7Leonardo Arena2019-04-121-20/+28
| | | | | | | CVE-2018-4437, CVE-2019-6212, CVE-2019-6215, CVE-2019-6216, CVE-2019-6217, CVE-2019-6227, CVE-2019-6229 Fixes #10113
* community/openjdk7: security upgrade to 7.211.2.6.17J0WI2019-04-112-14/+41
|
* community/nextcloud: upgrade to 15.0.7Leonardo Arena2019-04-091-2/+2
|
* community/bareos: Fix segfaults on startupSimon Frankenberger2019-04-083-2/+95
| | | | | | | | | | This PR fixes two undefined behaviours with pthreads leading to segfaults. Fixes #10156 https://bugs.alpinelinux.org/issues/10156 (cherry picked from commit 37923bd0f6d4e33a3b7de6c23e708787c5d7d3bf)
* community/virtualbox-guest-modules-vanilla: rebuild against kernel 4.19.34-r0Natanael Copa2019-04-081-1/+1
|
* community/imagemagick6: upgrade to 6.9.10.39Leonardo Arena2019-04-081-3/+3
| | | | 6.9.10.37 was actually never built. Adjusting security info.
* community/imagemagick6: security upgrade to 6.9.10.37J0WI2019-04-081-2/+57
|
* community/virtualbox-guest-modules-vanilla: rebuild against kernel 4.19.33-r0Natanael Copa2019-04-051-1/+1
|
* community/mumble: security fixes (CVE-2018-20743)J0WI2019-04-043-1/+231
|
* community/openjdk8: add missing nss dependencyJakub Jirutka2019-04-011-2/+2
| | | | Fixes #10126 (https://bugs.alpinelinux.org/issues/10126)
* community/firefox-esr: upgrade to 60.6.1Sören Tempel2019-03-251-2/+15
| | | | | | | | | | | See: * https://www.mozilla.org/en-US/security/advisories/mfsa2019-08/ * https://www.mozilla.org/en-US/security/advisories/mfsa2019-10/ fixes #10150 (cherry picked from commit 985780d336a595bbba269e8d1c32715d70dbee68)
* community/firefox-esr: upgrade to 60.5.2Sören Tempel2019-03-251-2/+7
| | | | | | | | 3 CVEs have been fixed in 60.5.1, 60.5.2 seems to be mostly a bugfix release. See: https://www.mozilla.org/en-US/security/advisories/mfsa2019-05/ Fixes #10075 fixes #10059
* community/firefox-esr: upgrade to 60.5.0Sören Tempel2019-03-256-389/+83
| | | | | | OK ncopa@ (cherry picked from commit 50d6c8f738e21e88d0ebbdf4007cde60d258d012)